Package org.eclipse.emf.compare.merge

# Interface IBatchMerger

All Known Implementing Classes:
  `BatchMerger`

public interface IBatchMerger
This interface describes the general contract of what EMF Compare expects in order to "copy all" diffs from a given Comparison or list.

Clients can either implement this interface or inherit from the default `BatchMerger`.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`void`
`copyAllLeftToRight(Iterable<? extends Diff> differences, Monitor monitor)`
This will be called to copy all of the differences from the given list from the left to the right side.
`void`
`copyAllRightToLeft(Iterable<? extends Diff> differences, Monitor monitor)`
This will be called to copy all of the differences from the given list from the right to the left side.

## Method Details

### copyAllLeftToRight

void copyAllLeftToRight(Iterable<? extends Diff> differences, Monitor monitor)
This will be called to copy all of the differences from the given list from the left to the right side.

Note that this may end up merging differences that are not in the given list if one of the diffs to be merged depends on (or results in) the merging of that 'out of list' difference.

Parameters:
  `differences` - The differences that will be merged.
  `monitor` - Monitor on which to report progress information.

### copyAllRightToLeft

void copyAllRightToLeft(Iterable<? extends Diff> differences, Monitor monitor)
This will be called to copy all of the differences from the given list from the right to the left side.

Note that this may end up merging differences that are not in the given list if one of the diffs to be merged depends on (or results in) the merging of that 'out of list' difference.

Parameters:
  `differences` - The differences that will be merged.
  `monitor` - Monitor on which to report progress information.